path: /build/build/kdecoration-kde-plasma-5-5.27.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge kde-plasma/kdecoration:5 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps kde-plasma/kdecoration:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kdecoration && luet-portage --dir /pkgdir/kdecoration
    kde-plasma/kdecoration:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:fe0ef252444dc47d874be25f307fd54261c49496910b222ead324afcb0671eaa
  package:
    name: kdecoration
    version: 5.27.9
    category: kde-plasma-5
    use_flags:
    - -test
    - prefix
    requires:
    - name: frameworkintegration
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Plugin based library to create window decorations
    uri:
    - https://kde.org/
    license: '|| ( LGPL-2.1 LGPL-3 )'
    buildtimestamp: 2024-02-12 10:17:16.928460739 +0000 UTC m=+106.978014667
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
        ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-qt/qtgui-5.15.2:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
        dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5
        ) >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
      IUSE: test debug test
      RDEPEND: '>=dev-qt/qtgui-5.15.2:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
        >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.2:5'
      emerge.packages: kde-plasma/kdecoration:5
      kit: kde-kit
      original.package.name: kde-plasma/kdecoration
      original.package.slot: "5"
      original.package.version: 5.27.9
    treedir: /build/packages
  package_dir: /pkgdir/kdecoration
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1963268ef204a1f18d2ab35fc40c6538e82288597921e783f43be46aaa8a6ff7
compressiontype: zstd
files:
- usr/include/KDecoration2/KDecoration2/DecoratedClient
- usr/include/KDecoration2/KDecoration2/Decoration
- usr/include/KDecoration2/KDecoration2/DecorationButton
- usr/include/KDecoration2/KDecoration2/DecorationButtonGroup
- usr/include/KDecoration2/KDecoration2/DecorationSettings
- usr/include/KDecoration2/KDecoration2/DecorationShadow
- usr/include/KDecoration2/KDecoration2/DecorationThemeProvider
- usr/include/KDecoration2/KDecoration2/Private/DecoratedClientPrivate
- usr/include/KDecoration2/KDecoration2/Private/DecorationBridge
- usr/include/KDecoration2/KDecoration2/Private/DecorationSettingsPrivate
- usr/include/KDecoration2/kdecoration2/decoratedclient.h
- usr/include/KDecoration2/kdecoration2/decoration.h
- usr/include/KDecoration2/kdecoration2/decorationbutton.h
- usr/include/KDecoration2/kdecoration2/decorationbuttongroup.h
- usr/include/KDecoration2/kdecoration2/decorationdefines.h
- usr/include/KDecoration2/kdecoration2/decorationsettings.h
- usr/include/KDecoration2/kdecoration2/decorationshadow.h
- usr/include/KDecoration2/kdecoration2/decorationthemeprovider.h
- usr/include/KDecoration2/kdecoration2/kdecoration2_export.h
- usr/include/KDecoration2/kdecoration2/private/decoratedclientprivate.h
- usr/include/KDecoration2/kdecoration2/private/decorationbridge.h
- usr/include/KDecoration2/kdecoration2/private/decorationsettingsprivate.h
- usr/include/KDecoration2/kdecoration2/private/kdecoration2_private_export.h
- usr/include/KF5/kdecoration2_version.h
- usr/lib64/cmake/KDecoration2/KDecoration2Config.cmake
- usr/lib64/cmake/KDecoration2/KDecoration2ConfigVersion.cmake
- usr/lib64/cmake/KDecoration2/KDecoration2Targets-gentoo.cmake
- usr/lib64/cmake/KDecoration2/KDecoration2Targets.cmake
- usr/lib64/libkdecorations2.so
- usr/lib64/libkdecorations2.so.5
- usr/lib64/libkdecorations2.so.5.27.9
- usr/lib64/libkdecorations2private.so
- usr/lib64/libkdecorations2private.so.10
- usr/lib64/libkdecorations2private.so.5.27.9
- usr/share/doc/kdecoration-5.27.9/README.md.bz2
- usr/share/locale/az/LC_MESSAGES/kdecoration.mo
- usr/share/locale/bg/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ca/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/kdecoration.mo
- usr/share/locale/cs/LC_MESSAGES/kdecoration.mo
- usr/share/locale/da/LC_MESSAGES/kdecoration.mo
- usr/share/locale/de/LC_MESSAGES/kdecoration.mo
- usr/share/locale/el/LC_MESSAGES/kdecoration.mo
- usr/share/locale/en_GB/LC_MESSAGES/kdecoration.mo
- usr/share/locale/es/LC_MESSAGES/kdecoration.mo
- usr/share/locale/et/LC_MESSAGES/kdecoration.mo
- usr/share/locale/eu/LC_MESSAGES/kdecoration.mo
- usr/share/locale/fi/LC_MESSAGES/kdecoration.mo
- usr/share/locale/fr/LC_MESSAGES/kdecoration.mo
- usr/share/locale/gl/LC_MESSAGES/kdecoration.mo
- usr/share/locale/hi/LC_MESSAGES/kdecoration.mo
- usr/share/locale/hu/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ia/LC_MESSAGES/kdecoration.mo
- usr/share/locale/id/LC_MESSAGES/kdecoration.mo
- usr/share/locale/it/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ja/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ka/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ko/LC_MESSAGES/kdecoration.mo
- usr/share/locale/lt/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ml/LC_MESSAGES/kdecoration.mo
- usr/share/locale/nl/LC_MESSAGES/kdecoration.mo
- usr/share/locale/nn/LC_MESSAGES/kdecoration.mo
- usr/share/locale/pl/LC_MESSAGES/kdecoration.mo
- usr/share/locale/pt/LC_MESSAGES/kdecoration.mo
- usr/share/locale/pt_BR/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ro/LC_MESSAGES/kdecoration.mo
- usr/share/locale/ru/LC_MESSAGES/kdecoration.mo
- usr/share/locale/sk/LC_MESSAGES/kdecoration.mo
- usr/share/locale/sl/LC_MESSAGES/kdecoration.mo
- usr/share/locale/sv/LC_MESSAGES/kdecoration.mo
- usr/share/locale/tr/LC_MESSAGES/kdecoration.mo
- usr/share/locale/uk/LC_MESSAGES/kdecoration.mo
- usr/share/locale/zh_CN/LC_MESSAGES/kdecoration.mo
- usr/share/locale/zh_TW/LC_MESSAGES/kdecoration.mo
- var/db/pkg/kde-plasma/kdecoration-5.27.9/BDEPEND
- var/db/pkg/kde-plasma/kdecoration-5.27.9/BUILD_TIME
- var/db/pkg/kde-plasma/kdecoration-5.27.9/CATEGORY
- var/db/pkg/kde-plasma/kdecoration-5.27.9/CBUILD
- var/db/pkg/kde-plasma/kdecoration-5.27.9/CFLAGS
- var/db/pkg/kde-plasma/kdecoration-5.27.9/CHOST
- var/db/pkg/kde-plasma/kdecoration-5.27.9/CONTENTS
- var/db/pkg/kde-plasma/kdecoration-5.27.9/COUNTER
- var/db/pkg/kde-plasma/kdecoration-5.27.9/CXXFLAGS
- var/db/pkg/kde-plasma/kdecoration-5.27.9/DEFINED_PHASES
- var/db/pkg/kde-plasma/kdecoration-5.27.9/DEPEND
- var/db/pkg/kde-plasma/kdecoration-5.27.9/DESCRIPTION
- var/db/pkg/kde-plasma/kdecoration-5.27.9/EAPI
- var/db/pkg/kde-plasma/kdecoration-5.27.9/FEATURES
- var/db/pkg/kde-plasma/kdecoration-5.27.9/HOMEPAGE
- var/db/pkg/kde-plasma/kdecoration-5.27.9/INHERITED
- var/db/pkg/kde-plasma/kdecoration-5.27.9/IUSE
- var/db/pkg/kde-plasma/kdecoration-5.27.9/IUSE_EFFECTIVE
- var/db/pkg/kde-plasma/kdecoration-5.27.9/KEYWORDS
- var/db/pkg/kde-plasma/kdecoration-5.27.9/LDFLAGS
- var/db/pkg/kde-plasma/kdecoration-5.27.9/LICENSE
- var/db/pkg/kde-plasma/kdecoration-5.27.9/NEEDED
- var/db/pkg/kde-plasma/kdecoration-5.27.9/PF
- var/db/pkg/kde-plasma/kdecoration-5.27.9/PROVIDES
- var/db/pkg/kde-plasma/kdecoration-5.27.9/RDEPEND
- var/db/pkg/kde-plasma/kdecoration-5.27.9/REQUIRES
- var/db/pkg/kde-plasma/kdecoration-5.27.9/SIZE
- var/db/pkg/kde-plasma/kdecoration-5.27.9/SLOT
- var/db/pkg/kde-plasma/kdecoration-5.27.9/USE
- var/db/pkg/kde-plasma/kdecoration-5.27.9/environment.bz2
- var/db/pkg/kde-plasma/kdecoration-5.27.9/kdecoration-5.27.9.ebuild
- var/db/pkg/kde-plasma/kdecoration-5.27.9/repository
package_cacheimage: ""
runtime:
  name: kdecoration
  version: 5.27.9
  category: kde-plasma-5
  use_flags:
  - -test
  - prefix
  requires:
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: kcoreaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: ki18n
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Plugin based library to create window decorations
  uri:
  - https://kde.org/
  license: '|| ( LGPL-2.1 LGPL-3 )'
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-qt/qtgui-5.15.2:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
      dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5
      ) >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
    IUSE: test debug test
    RDEPEND: '>=dev-qt/qtgui-5.15.2:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
      >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.15.2:5'
    emerge.packages: kde-plasma/kdecoration:5
    kit: kde-kit
    original.package.name: kde-plasma/kdecoration
    original.package.slot: "5"
    original.package.version: 5.27.9
